## ICalRecurIterator

ICalRecurIterator

## Functions

ICalRecurIterator * | i_cal_recur_iterator_new ()
ICalTime * | i_cal_recur_iterator_next ()
gint | i_cal_recur_iterator_set_start ()
void | i_cal_recur_iterator_free ()

## Types and Values

| ICalRecurIterator
struct | ICalRecurIteratorClass

## Object Hierarchy

        GObject
        ╰── ICalObject
            ╰── ICalRecurIterator

## Description

## Functions

### i_cal_recur_iterator_new ()

    ICalRecurIterator *
    i_cal_recur_iterator_new (ICalRecurrence *rule,
                              ICalTime *dtstart);

Creates an ICalRecurIterator.

#### Parameters

rule | The rule applied on the ICalRecurIterator |
dtstart | The start time of the recurrence |

#### Returns

The newly created ICalRecurIterator.

[transfer full]

Since: 1.0

### i_cal_recur_iterator_next ()

    ICalTime *
    i_cal_recur_iterator_next (ICalRecurIterator *iterator);

Gets the next occurrence from an iterator.

#### Parameters

iterator | The iterator |

#### Returns

The next occurrence according to this recurrence rule.

[transfer full]

Since: 1.0

### i_cal_recur_iterator_set_start ()

    gint
    i_cal_recur_iterator_set_start (ICalRecurIterator *iterator,
                                    ICalTime *start);

Sets the date-time at which the iterator will start, where 'start' is a value between DTSTART and UNTIL. Note: CAN NOT be used with RRULEs that contain COUNT.

#### Parameters

iterator | The iterator |
start | The date-time to move the iterator to |

#### Returns

1 if succeeded, 0 if failed, like when the recurrence type is unsupported.

Since: 3.0

### i_cal_recur_iterator_free ()

    void
    i_cal_recur_iterator_free (ICalRecurIterator *iterator);

Frees an iterator.

[skip]

#### Parameters

iterator | The iterator to be freed |

Since: 1.0

## Types and Values

### ICalRecurIterator

    typedef struct _ICalRecurIterator ICalRecurIterator;

This is the ICalRecurIterator instance.

### struct ICalRecurIteratorClass

    struct ICalRecurIteratorClass {
    };

This is the ICalRecurIterator class.